/***************************************************************************
 *            book_type_dlg-callbacks.c
 *
 *  Tue Oct 25 20:49:30 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <glade/glade.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <glib/gprintf.h>
#include <stdio.h>

#include "book_type_dlg-callbacks.h"
#include "interface-fun.h"
#include "s_book-fun.h"
#include "m_book-fun.h"

gboolean
on_book_type_dlg_delete_event          (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
	destroy_window (widget);
	return FALSE;
}


void
on_single_volume_but_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
	GtkWidget	*widget;
	destroy_window (GTK_WIDGET (button));/* niszczymy okno wyboru	*/
	widget = create_s_book_win (0);
	gtk_widget_show (widget);
	s_prepare_book_win (widget);
}


void
on_multi_volume_book_but_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
	GtkWidget	*widget;
	destroy_window (GTK_WIDGET (button));/* niszczymy okno wyboru	*/
	widget = create_m_book_win (0);
	gtk_widget_show (widget);
	m_prepare_book_win (widget);
}


void
on_book_type_cancel_but_clicked        (GtkButton       *button,
                                        gpointer         user_data)
{
	destroy_window (GTK_WIDGET (button));
}
