/***************************************************************************
 *            s_book-fun.h
 *
 *  Mon Oct 31 16:05:08 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>
#include <sqlite3.h>

/*=====================================================================
 *	Plik zawiera funkcje zwiazane tylko z obsluga ksiazek jednotomowych
 *====================================================================*/

typedef struct	{
	gint	id;
	
	gchar	title			[64];
	gchar	orginal_title	[64];
	gint	first_author;
	gint	second_author;
	gint	third_author;
	
	gint	genere;
	gint	publish_house;
	gint	language;
	gint	orginal_language;
	
	gchar	isbn			[12];
	gint	publish_year;
	gint	pages;
	
	gint	first_translator;
	gint	second_translator;
	gint	third_translator;
	
	gchar	description		[2048];
} SingleVolumeStruc;



SingleVolumeStruc	*s_get_data_from_win			(GtkWidget			*widget);

void				s_check_linked_book_data		(GtkWidget			*widget);

void				s_prepare_book_win				(GtkWidget			*widget);

gboolean			s_check_book_data				(GtkWidget			*widget);
		
void				s_insert_book					(SingleVolumeStruc	*book_data);

SingleVolumeStruc	*s_select_book_data				(gint				*id);

void				s_display_book_data				(SingleVolumeStruc	*book_data);

void				s_remove_book					(gint				*id);

void				s_clear_main_win				(void);

void				s_load_edit_win					(GtkWidget			*widget,
													 gint				*id);
		
void				s_update_book					(SingleVolumeStruc	*book_data);

void				s_show_book_data				(GtkWidget			*widget,
													 gint				*id);

void				s_control_main_win_expanders	(gint				mode);
